MKFS(8)

BEZEICHNUNG
mkfs - ein Linux-Dateisystem erstellen

ÜBERSICHT
mkfs [options] [-t type] [fs-options] device [size]

BESCHREIBUNG
mkfs wird zum Erstellen eines Linux-Dateisystems auf einem Gerät verwendet, üblicherweise einer Festplattenpartition. Das Gerät-Argument ist entweder der Gerätename (zum Beispiel /dev/hda1, /dev/sdb2) oder eine reguläre Datei, die ein Dateisystem erhalten soll. Das Größe-Argument ist die Anzahl der Blöcke, die für das Dateisystem verwendet werden sollen.

Der von mkfs zurückgegebene Exit-Code ist 0 bei Erfolg und 1 bei Fehlschlag.

Eigentlich ist mkfs einfach eine Benutzeroberfläche für die verschiedenen unter Linux verfügbaren Werkzeuge zum Erstellen von Dateisystemen (mkfs.Dateisystemtyp). Das dateisystemspezifische Erstellungsprogramm wird in verschiedenen Verzeichnissen gesucht, wie beispielsweise /sbin, /sbin/fs, /sbin/fs.d, /etc/fs, /etc (die genaue Liste wird beim Kompilieren des Programms festgelegt, aber mindestens /sbin und /sbin/fs) und zuletzt in den Pfaden, die in der Umgebungsvariable PATH aufgeführt werden. Weitere Details finden Sie in den Handbuchseiten der dateisystemspezifischen Erstellungswerkzeuge.

OPTIONEN

-t, --type Typ
    gibt den Typ des zu erstellenden Dateisystems an. Falls nichts angegeben ist, wird der vorgegebene Dateisystemtyp verwendet (gegenwärtig ext2).

Dateisystemoptionen
    Filesystem-specific options to be passed to the real filesystem builder.

-V, --verbose
    gibt ausführliche Meldungen aus, einschließlich aller dateisystemspezifischen Befehle, die ausgeführt werden. Mit dieser Option kann es sehr oft passieren, dass die Ausführung dateisystemspezifischer Befehle verhindert wird. Dies ist tatsächlich nur für Testzwecke sinnvoll.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm. Die Option -V zeigt Versionsinformationen nur dann an, wenn es der einzige Parameter ist, ansonsten verhält es sich wie --verbose.

-h, --help
    Display help text and exit.

FEHLER
All generic options must precede and not be combined with filesystem-specific options. Some filesystem-specific programs do not automatically detect the device size and require the size parameter to be specified.

AUTOREN
David Engel (david@ods.com)
Fred N. van Kempen (waltje@uwalt.nl.mugnet.org)
Ron Sommeling (sommel@sci.kun.nl)
Diese Handbuchseite wurde der Version von Remy Card für das ext2-Dateisystem entlehnt.

SIEHE AUCH
fs(5), badblocks(8), fsck(8), mkdosfs(8), mke2fs(8), mkfs.bfs(8), mkfs.ext2(8), mkfs.ext3(8), mkfs.ext4(8), mkfs.minix(8), mkfs.msdos(8), mkfs.vfat(8), mkfs.xfs(8), mkfs.xiafs(8)

VERFÜGBARKEIT
Der Befehl mkfs ist Teil des Pakets util-linux und kann von ftp://ftp.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.